<xml></xml>

Saxon API for .NET |

# QName Methods

The methods of the QName class are listed below. For a complete list of QName class members, see the QName Members topic.

#### Public Static Methods

FromClarkName | Factory method to construct a QName from a string containing the expanded QName in Clark notation, that is, `{uri}local`

#### Public Instance Methods

Equals | Test whether two QNames are equal. This supports the semantics of equality, which considers only the namespace URI and local name, and not the prefix.
GetHashCode | Get a hash code for the QName, to support equality matching. This supports the semantics of equality, which considers only the namespace URI and local name, and not the prefix.
GetType (inherited from Object) | Gets the Type of the current instance.
IsValid | Validate the QName against the XML 1.0 or XML 1.1 rules for valid names.
Register | Register a QName with the `Processor`. This makes comparison faster when the QName is compared with others that are also registered with the `Processor`.
ToString | Convert the value to a string. The resulting string is the lexical form of the QName, using the original prefix if there was one.
ToXmlQualifiedName | Convert the value to an `XmlQualifiedName` (as defined in the `System.Xml` package)

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

QName Class | Saxon.Api Namespace